import figma, { html } from '@figma/code-connect/html';
figma.connect('https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/branch/tOAc8mV1PF5g0tjBfSbUXA/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=1-1978', {
    props: {
        appearance: figma.enum('Appearance', {
            Standard: 'standard',
            Accent: 'accent',
            Danger: 'danger',
            'Inverse (only on dark background)': 'inverse',
        }),
        size: figma.enum('Size', {
            S: 's',
            'M (default)': 'm',
            L: 'l',
        }),
        disabled: figma.enum('is disabled', {
            False: false,
            True: true,
        }),
        isloading: figma.enum('Is loading', {
            False: false,
            True: true,
        }),
        outlined: figma.enum('Type', {
            Filled: false,
            Outlined: true,
            Ghost: false,
        }),
        ghost: figma.enum('Type', {
            Filled: false,
            Outlined: false,
            Ghost: true,
        }),
    },
    example: ({ appearance, size, disabled, isloading, outlined, ghost }) => html `<m-icon-button
        appearance="${appearance}"
        size="${size}"
        disabled="${disabled}"
        isloading="${isloading}"
        outlined="${outlined}"
        ghost="${ghost}"
      >
        <copy-24 slot="icon"></copy-24>
      </m-icon-button>`,
});
